package com.goldenwater.slgc.service.pms;

import com.goldenwater.slgc.entity.pms.PmsContact;
import java.util.List;

public interface IPmsContactService {
    /**
     * 查询联系人列表
     */
    List<PmsContact> selectList(PmsContact contact);

    /**
     * 根据主键查询联系人
     */
    PmsContact selectById(Long id);

    /**
     * 新增联系人
     */
    int insert(PmsContact contact);

    /**
     * 修改联系人
     */
    int update(PmsContact contact);

    /**
     * 删除联系人
     */
    int deleteById(Long id);

    /**
     * 批量删除联系人
     */
    int deleteByIds(Long[] ids);

    /**
     * 根据单位ID查询联系人列表
     */
    List<PmsContact> selectByCompanyId(Long companyId);
}
